/*
 *  XColors.h - Parse Color (without Tk)
 *
 *  2020 - A.Buratti
 *  
 * code grabbed and adapted from Tk source code  (8.6.9)
 *  
 * generic/tkColor.c --
 *  Copyright (c) 1990-1994 The Regents of the University of California.
 *  Copyright (c) 1994-1997 Sun Microsystems, Inc.
 *
 * xlib/xcolors.c --
 *  Copyright (c) 1996 by Sun Microsystems, Inc.
 *  Copyright (c) 2012 by Jan Nijtmans
 */

 
#ifndef __XCOLORS_INCLUDED
#define __XCOLORS_INCLUDED

#ifndef EXTERN_C
	#ifdef __cplusplus
		#define EXTERN_C extern "C"
	#else
		#define EXTERN_C extern
	#endif
#endif

#include <stdint.h>

 // valid colors (uint32_t) always have 0xFF as MSB
#define INVALID_COLOR 0x00000000
EXTERN_C uint32_t ParseTkColor(const char* name);


#endif
