#ifndef __ASPRINTF_INCLUDED
#define __ASPRINTF_INCLUDED

#ifdef _WIN32
 // The __attribute__ tells the compiler to check printf-style compliance.
 // It's not C-standard ,,, just remove it if your compiler does not support it

 extern int asprintf(char **str, char *fmt, ...) /*__attribute__ ((format (printf,2,3))) */ ;
#else
 #define _GNU_SOURCE
 #include <stdio.h>
#endif

#endif // __ASPRINTF_INCLUDED
