// This code was extracted from MuPDF (v1.14) - source/fitz/stext-search.c
// and then adapted..
// Function  xfz_search_stext_page() derives from fz_search_stext_page()
//  adding the capability to start searching from an advanced position; 
//  moreover this new function return also the last searched position.
//
// November 2018 - A.Buratti



#ifndef XX_STEXT_SEARCH_H
#define XX_STEXT_SEARCH_H

#include <mupdf/fitz.h>

extern int
xfz_search_stext_page(fz_context *ctx, fz_stext_page *text, int startpos, int *plastpos, const char *needle, fz_quad *hit_bbox, int hit_max);

#endif